# Method: domains.getLdapssettings

- [HTTP request](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/getLdapssettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/getLdapssettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/getLdapssettings#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/getLdapssettings#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/getLdapssettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/projects.locations.global.domains/getLdapssettings#try-it)

**Full name**: projects.locations.global.domains.getLdapssettings

Gets the domain ldaps settings.

### HTTP request

`GET https://managedidentities.googleapis.com/v1/{name=projects/*/locations/global/domains/*}/ldapssettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The domain resource name using the form: `projects/{projectId}/locations/global/domains/{domainName}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `managedidentities.domains.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-microsoft-ad/reference/rest/v1/LDAPSSettings`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).